body {
    background-color: #ffffff;
    font-family: Arial, sans-serif;
    margin: 0;
    padding: 0;
}

.sticky-header {
    position: fixed;
    top: 0;
    width: 100%;
    height: 20px;
    background-color: #00000089;
    color: #ffc71d;
    padding: 3px 0;
    text-align: center;
    z-index: 1000;
    border-bottom-left-radius: 30px;
    border-bottom-right-radius: 30px;
    border: 4px solid #001494;
    display: flex;
    justify-content: space-between; /* Alinea los elementos a los extremos */
    align-items: center; /* Centra verticalmente */
}

.sticky-header h1 {
    margin: 0;
    font-size: 18px;
}

.fas.fa-arrow-up {
    color: #ffffff; /* Cambia el color a rojo, por ejemplo */
}


.inicio {
    display: flex;
    align-items: center; /* Centra verticalmente */
    margin-right: 20px; /* Espacio entre el texto y la flecha */
}

#cabecera {
    display: flex;
    align-items: center;
    justify-content: space-between;
}

.texto-izquierdo {
    flex: 1;
    padding-left: 20px;
    text-align: left;
   
}

.texto-izquierdo h1{
    font-size: 42px;
    padding-left: 38px;
}

.texto-izquierdo ul {
    list-style-position: inside;
    text-align: left;
}

.imagen-derecha {
    flex: 1;
    padding-left: 20px;
    max-width: 100%;
    height: auto;
}

.imagen-derecha img {
    max-width: 100%;
    height: auto;
}

#conectate-contenido {
    padding: 10px;
    font-size: 25px;
    color: #ffc107;
    animation: blink 2s infinite alternate;
}

@keyframes blink {
    90%, 60% { opacity: 1; }
    90%, 100% { opacity: 0; }
}

#conectate h4 {
    margin-bottom: 3%;
}

#conectate img {
    box-shadow: 0px 0px 10px rgba(0, 0, 0, 0.5);
    padding: 1px;
    border-radius: 30px;
    max-width: 100%;
    height: auto;
    display: block;
    margin: 0 auto;
}

.navbar {
    background-color: rgba(6, 30, 87, 0.523);
    box-shadow: 0px 0px 10px rgba(0, 0, 0, 0.5);
    padding: 20px;
    
    border-bottom-left-radius: 30px;
    border-bottom-right-radius: 30px;
    font-size: 18px;
}

.navbar .container {
    display:flex ;
    justify-content:center;
    align-items: center;
}

.navbar .logo {
    width: 50%;
}

.navbar .nav-links {
    margin-right: 40px;
    list-style: none;
    display:contents;
}

.navbar .nav-links li {
    margin-right: 10px;
}

.navbar .nav-links li:last-child {
    margin-right: 0px;
}

.navbar .nav-links a {
     font-size: 14px; /* Reducir el tamaño de la fuente */
    padding: 8px 12px; /* Reducir el relleno */
    color: #ffc107;
    text-decoration: none;
    transition: color 0.3s ease;
}

.navbar .nav-links a:hover {
    color: #000000;
}

.nav-button {
    position: relative;
    display: flex;
    padding: 12px 24px;
    border: none;
    font-size: 16px;
    background-color: inherit;
    border-radius: 100px;
    font-weight: 600;
    color: #ffffff40;
    box-shadow: 0 0 0 2px #ffffff20;
    cursor: pointer;
    overflow: hidden;
    transition: all 0.6s cubic-bezier(0.23, 1, 0.320, 1);
}

.nav-button span:last-child {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    width: 20px;
    height: 20px;
    background-color: #00f55a;
    border-radius: 50%;
    opacity: 0;
    transition: all 0.08s cubic-bezier(0.23, 1, 0.320, 1);
}

.nav-button span:first-child {
    position: relative;
    z-index: 1;
}

.nav-button:hover {
    box-shadow: 0 0 0 5px #2195f360;
    color: #ffffff;
}

.nav-button:active {
    scale: 0.75;
}

.nav-button:hover span:last-child {
    width: 150px;
    height: 150px;
    opacity: 1;
}

#servicios {
    margin-top: 10%;
    box-shadow: 0px 0px 10px rgba(0, 0, 0, 0.5);
    background-image: url(img/instalacion\ propia.jpg);
    background-size: cover;
    background-position: center;
    padding: 50px;
    color: rgb(255, 13, 0);
}

#servicios h2 {
        
    font-size: 60px;
    color: #000000;
    text-shadow: 00px 00px 12px #efb404;
    margin-top: 5px;
}

#servicios {
    margin-bottom: 20%;
}

#servicios h3 {
    color: #ffffff;
    text-shadow: 2px 2px 4px rgba(0,0,0,0.5);
}

#servicios ul {
    padding-top: 3%;
    list-style-type: none;
    padding-left: 0;
}

#servicios ul:hover {
    color: #000000;
}

#servicios li {
    margin-bottom: 10px;
}

#galeria {
    margin-bottom: 20%;
    background-image: url(img/instalacion\ para\ comercio.jpg);
    box-shadow: 0px 0px 10px rgba(0, 0, 0, 0.5);
}

#galeria h2 {
    background-color: #cccccc3c;
    color: #f6a92e;
    text-shadow: 2px 2px 4px rgba(0,0,0,0.5);
    font-size: 38px;
}

section {
    padding: 50px 0;
    text-align: center;
}

.ver-mas {
    display: inline-block;
    text-align: center;
    margin-top: 20px;
    font-size: 18px;
    color: #f6a92e;
    padding: 10px 20px;
    border-radius: 5px;
    text-decoration: none;
    background-color: #0056b3;
    box-shadow: 2px 2px 4px rgba(255, 255, 255, 0.5);
}

.ver-mas:hover {
    background-color: #f6a92e;
    color: #002aff;
}

.contacto-container {
    background-image: url(img/logo.jpg);
    box-shadow: 0px 0px 10px rgba(0, 0, 0, 0.5);
    margin-bottom: 20%;
    display: flex;
    justify-content:center;
    align-items: center;
    height: 100%;
}

#contactForm {
    width: 100%;
    max-width: 400px;
    padding: 10px;
    background-color: #7e7e7e59;
    border: 3px solid #deb41a;
    border-radius: 5px;
}

#contacto h2 {
    text-shadow: 4px 4px 4px rgb(0, 0, 0);
    font-size: 60px;
    color: #deb41a;
    margin-top: 5px;
}

#contacto h3 {
    text-shadow: 4px 4px 4px rgb(0, 0, 0);
    color: rgb(255, 136, 8);
}

#contacto h4 {
    text-shadow: 3px 3px 3px rgb(246, 228, 23);
    color: rgb(0, 0, 0);
}

#contactForm {
    font-size: large;
    color: #deb41a;
}

form {
    max-width: 400px;
    margin: 0 auto;
    padding: 20px;
    background-color:#7e7e7e59;
    border: 3px solid #deb41a;
    border-radius: 5px;
}

label {
    display: inline-flex;
    margin-bottom: 5px;
}

input[type="text"],
input[type="email"],
input[type="number"],
textarea {
    width: 100%;
    padding: 8px;
    margin-bottom: 10px;
    border: 1px solid #ff000038;
    border-radius: 3px;
    box-sizing: border-box;
    background-color: rgb(255, 255, 255);
}

input[type="submit"] {
    background-color: #deb41a;
    color: rgb(255, 255, 255);
    padding: 10px 20px;
    border: none;
    border-radius: 3px;
    cursor: pointer;
    font-size: 16px;
}

input[type="submit"]:hover {
    background-color: #ffd106;
    color: #000000;
}

.error {
    border: 2px solid black;
}

.swiper-container {
    width: 100%;
    margin: 0 auto;
    height: 300px;
    position: relative;
    overflow: hidden;
}

.swiper-slide {
    border-bottom-left-radius: 30px;
    border-bottom-right-radius: 30px;
    position: relative;
    margin-right: 10px;
}

.swiper-slide img {
    width: auto;
    height: 100%;
    object-fit: cover;
    border: 2px solid #ccc;
    border-radius: 10px;
}

.caption {
    position: absolute;
    bottom: 10px;
    left: 0;
    right: 0;
    padding: 10px;
    background-color: rgba(0, 0, 0, 0.144);
    color: #fff;
    border-radius: 0 0 30px 30px;
    font-style: italic;
}

.swiper-button-prev,
.swiper-button-next {
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
    color: #fff;
    font-size: 24px;
    background-color: rgba(0, 0, 0, 0.5);
    padding: 10px;
    cursor: pointer;
    z-index: 100;
}

.swiper-button-prev {
    left: 10px;
}

.swiper-button-next {
    right: 10px;
}

.scroll-to-top {
    position: fixed;
    bottom: 20px;
    right: 20px;
    background-color: #2196F3;
    color: #fff;
    width: 40px;
    height: 40px;
    border-radius: 50%;
    text-align: center;
    line-height: 40px;
    font-size: 20px;
    z-index: 999;
    opacity: 0;
    transition: opacity 0.3s ease;
}

.scroll-to-top:hover {
    background-color: #0d47a1;
}

.scroll-to-top.show {
    opacity: 1;
}


#app-movil {
    background-color: #f0f0f0; /* Fondo claro para la sección */
    padding: 40px 20px; /* Espaciado alrededor de la sección */
    text-align: center; /* Centrar el texto */
}

#app-movil h1 {
    font-size: 36px; /* Tamaño de fuente grande */
    color: #061E57; /* Color de texto azul oscuro */
    margin-bottom: 20px; /* Espacio debajo del h1 */
    font-weight: bold; /* Negrita */
    text-shadow: 1px 1px 2px rgba(0, 0, 0, 0.2); /* Sombra de texto */
}

#app-movil h2 {
    font-size: 24px; /* Tamaño de fuente mediano */
    color: #ffd106; /* Color de texto azul */
    margin-bottom: 30px; /* Espacio debajo del h2 */
    font-weight: normal; /* Peso de fuente normal */
    text-shadow: 1px 1px 2px rgba(0, 0, 0, 0.913); /* Sombra de texto ligera */
}

#app-movil img {
    max-width: 100%; /* Asegura que la imagen no desborde */
    height: auto; /* Mantiene la proporción de la imagen */
    margin-top: 20px; /* Espacio encima de la imagen */
    border-radius: 10px; /* Bordes redondeados para la imagen */
    box-shadow: 0px 0px 10px rgba(0, 0, 0, 0.1); /* Sombra ligera para la imagen */
}



footer {
    margin-top: -50px;                                                                                                                                                                                                                                                                     
    background-color: #f6a92e;
    color: #fff;
    padding: 10px;
    text-align: center;
}

.footer-container {
    
    max-width: 1200px;
    margin: 0 auto;
}

@media screen and (max-width: 768px) {
    .texto-izquierdo,
    .imagen-derecha {
        flex: 1;
        padding: 0 20px;
        text-align: center;
    }

    .sticky-header {
        height: 20px;
        padding: 3px 0;
    }

    .sticky-header h1 {
        font-size: 18px;
    }

    #cabecera {
        flex-direction: column;
    }

    #servicios h2 {
        font-size: 40px;
    }

    #contactForm {
        max-width: 300px;
    }
}

.grid-section {
    padding: 20px;
}

.grid-container {
    display: grid;
    grid-template-columns: repeat(auto-fill, minmax(200px, 1fr));
    grid-gap: 20px;
}

.grid-item {
    overflow: hidden;
    border-radius: 10px;
    box-shadow: 0px 0px 10px rgba(0, 0, 0, 0.1);
    transition: transform 0.3s ease;
}

.grid-item:hover {
    transform: scale(1.05);
}

.grid-item img {
    width: 100%;
    height: auto;
    display: block;
    border-radius: 10px;
}


/* Estilos para el cuerpo de la página */
.formulario-container body {
    font-family: Arial, sans-serif;
    color: #444444;
    text-shadow: 5%;
}

/* Estilos para el contenedor principal del formulario */
.formulario-container .container {
    max-width: 500px;
    margin: auto;
    padding: 20px;
    border: 3px solid #f5b403;
    border-radius: 10px;
    background-color: #a9a9a988;
}

/* Estilos para los títulos del formulario */
.formulario-container .container h2 {
    color: #ffffff;
    padding: 5px;
    box-shadow: 0px 5px 10px #0000005e;
    text-shadow: 0px 0px 10px #0b0b0b;
    border-radius: 10px;
    background-color: #f5b403;
}

/* Estilos para los títulos generales */
.formulario-container h2 {
    text-align: center;
}

/* Estilos para las etiquetas del formulario */
.formulario-container label {
    display: block;
    margin-top: 10px;
}

/* Estilos para los campos de entrada, selectores y áreas de texto del formulario */
.formulario-container input, 
.formulario-container select, 
.formulario-container textarea, 
.formulario-container button {
    width: 100%;
    max-width: 100%;
    box-sizing: border-box;
    padding: 10px;
    margin-top: 5px;
    border: 1px solid #ff9900; /* Cambiado para evitar el borde desbordante */
}

/* Estilos específicos para las áreas de texto del formulario */
.formulario-container textarea {
    height: 120px; /* Ajusta esta altura según tus necesidades */
    resize: vertical; /* Permite el redimensionamiento solo vertical */
}

/* Estilos para los botones del formulario */
.formulario-container button {
    background-color: #eda43ea3;
    color: rgb(0, 0, 0);
    box-shadow: 0px 4px 6px rgba(0, 0, 0, 0.1); /* Ajustado el box-shadow */
    cursor: pointer;
}

/* Estilos para los botones del formulario cuando se pasa el mouse sobre ellos */
.formulario-container button:hover {
    background-color: #ff9900;
}

/* Estilos específicos para el elemento con el id "costo-total" */
.formulario-container #costo-total {
    color: #ff0000;
}

/* Estilos para el GIF */
.formulario-container .gif {
    margin-right: -30px;
    width: 20%; /* Ajusta el ancho deseado */
    height: auto;
    position: fixed;
    top: 20px; /* Ajusta la distancia desde la parte superior */
    right: 20px; /* Ajusta la distancia desde el borde derecho */
    z-index: 9999; /* Asegura que el GIF esté por encima de otros elementos */
}

/* enlace a formulario*/

    #cotizacion-presupuesto {
        background-image: url('img/INSTALADOR.jpeg'); /* Reemplaza 'ruta_de_la_imagen.jpg' con la ruta de tu imagen */
        background-size: cover;
        background-position: center;
        color: white; /* Cambia el color del texto según tus preferencias */
        text-align: center;
        padding: 150px 0; /* Ajusta el padding según sea necesario */
      }
      
      #cotizacion-presupuesto h2 {
        
        background-color: #cccccc3c;
        color: #f6a92e;
        text-shadow: 2px 2px 4px rgba(0,0,0,0.5);
        font-size: 38px;
        
      } 
      
      #cotizacion-presupuesto h2 {
        margin-bottom: 100px; /* Ajusta el valor según el espacio deseado */
      }
      

      #cotizacion-presupuesto h3 {
      text-shadow: 2px 2px 4px rgb(0, 0, 0);
      margin-bottom: 90px;
    }

    #cotizacion-presupuesto a{
        font-size: 24px;
        background-color: #444444;
        text-shadow: 2px 2px 4px rgb(0, 0, 0);
        color: #15ff00;
    }

    #cotizacion-presupuesto a:hover {
        background-color: #15ff00;
        text-shadow: 2px 2px 4px rgb(0, 0, 0);
        color: #000000;
        border-style: dashed;
    }
    


    /*-------------conectate--------------------*/

    #conectate-footer {
        background-color: #f8f8f8;
        padding: 50px 0;
        text-align: center;
    }
    
    #conectate-footer h1 {
        font-size: 2.5em;
        margin-bottom: 20px;
    }
    
    .redes-sociales-container {
        background-color: #e0e0e0;
        padding: 20px;
        text-align: center;
        margin-top: 30px;
        display: flex; /* Utiliza flexbox para alinear elementos */
        justify-content: space-between; /* Alinea los elementos a lo largo del eje principal (horizontalmente) */
    }
    
    .redes-sociales-container h2 {
        font-size: 1.8em;
        margin-bottom: 10px;
    }
    
    .redes-sociales-container p {
        font-size: 1.2em;
        margin-bottom: 20px;
    }
    
    .redes-sociales-container a {
        font-size: 1.5em;
        color: #000;
        text-decoration: none;
        display: block;
        margin-bottom: 10px;
    }
    
    .redes-sociales-container a:hover {
        text-decoration: underline;
    }
    
    .redes-sociales-container iframe {
       margin-bottom: 40px;
        margin-top: 40px;
        border: 0;
        width: 100%;
        max-width: 600px;
        height: 400px;
        border-radius: 10px;
        box-shadow: 0px 4px 6px rgba(255, 183, 0, 0.5);
    }
    
    @keyframes slideInLeft {
        0% {
            transform: translateX(-100%);
            opacity: 0;
        }
        30% {
            transform: translateX(0);
            opacity: 1;
        }
        100% {
            transform: translateX(0);
            opacity: 1;
        }
    }
    
    #conectate-footer h1 {
        animation: slideInLeft 5s ease-in-out infinite;
        animation-delay: 3s; /* Retraso antes de la primera animación */
        animation-fill-mode: forwards; /* Mantiene el estado final de la animación después de que termine */
    }
    
    #conectate-footer h1:nth-child(2) {
        animation-delay: 12s; /* Tiempo de espera después de la primera animación antes de que comience la siguiente */
    }
    
    .redes-sociales-lista {
        list-style: none;
        padding: 0;
        margin: 0;
        display: flex;
        flex-direction: column; /* Cambia la dirección del flujo a vertical */
        align-items: flex-end; /* Alinea los elementos a la derecha */
    }
    
    .redes-sociales-lista .red-social-item {
        margin-bottom: 10px; /* Agrega espacio entre los elementos */
    }
    